cutlass::library::GemmBatchedConfiguration Struct Reference

Configuration for batched GEMM in which multiple matrix products are computed.

`#include <library.h>`

Collaboration diagram for cutlass::library::GemmBatchedConfiguration:
[legend]

## Public Attributes

gemm::GemmCoord | problem_size
| GEMM problem size. More...
int64_t | lda
| Leading dimension of A matrix. More...
int64_t | ldb
| Leading dimension of B matrix. More...
int64_t | ldc
| Leading dimension of C matrix. More...
int64_t | ldd
| Leading dimension of D matrix. More...
int64_t | batch_stride_A
| Stride between instances of the A matrix in memory. More...
int64_t | batch_stride_B
| Stride between instances of the B matrix in memory. More...
int64_t | batch_stride_C
| Stride between instances of the C matrix in memory. More...
int64_t | batch_stride_D
| Stride between instances of the D matrix in memory. More...
int | batch_count
| Number of GEMMs in batch. More...

## Member Data Documentation

int cutlass::library::GemmBatchedConfiguration::batch_count

int64_t cutlass::library::GemmBatchedConfiguration::batch_stride_A

int64_t cutlass::library::GemmBatchedConfiguration::batch_stride_B

int64_t cutlass::library::GemmBatchedConfiguration::batch_stride_C

int64_t cutlass::library::GemmBatchedConfiguration::batch_stride_D

int64_t cutlass::library::GemmBatchedConfiguration::lda

int64_t cutlass::library::GemmBatchedConfiguration::ldb

int64_t cutlass::library::GemmBatchedConfiguration::ldc

int64_t cutlass::library::GemmBatchedConfiguration::ldd

gemm::GemmCoord cutlass::library::GemmBatchedConfiguration::problem_size

The documentation for this struct was generated from the following file:

- library.h